# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Configuration for the welcome module. The welcome page
# displays some information from the branding file.
# Which parts it displays can be configured through
# the show* variables.
#
# In addition to displaying the welcome page, this module
# can check requirements for installation.
---
# Display settings for various buttons on the welcome page.
# The URLs themselves come from `branding.desc`. Each button
# is show if the corresponding *show<buttonname>* setting
# here is "true". If the setting is "false", the button is hidden.
# Empty or not-set is interpreted as "false".
#
# TODO:3.3 Remove the URL fallback here; URLs only in `branding.desc`
#
# The setting can also be a full URL which will then be used
# instead of the one from the branding file.
showSupportUrl:         false
showKnownIssuesUrl:     false
showReleaseNotesUrl:    false
# TODO:3.3 Move to branding, keep only a bool here
showDonateUrl:          false

# Requirements checking. These are general, generic, things
# that are checked. They may not match with the actual requirements
# imposed by other modules in the system.
requirements:
    # Amount of available disk, in GiB. Floating-point is allowed here.
    # Note that this does not account for *usable* disk, so it is possible
    # to satisfy this requirement, yet have no space to install to.
    requiredStorage:    15

    # Amount of available RAM, in GiB. Floating-point is allowed here.
    requiredRam:        2.0

    # To check for internet connectivity, Calamares does a HTTP GET
    # on this URL; on success (e.g. HTTP code 200) internet is OK.
    # Use a privacy-respecting URL here, preferably in your distro's domain.
    #
    # The URL is only used if "internet" is in the *check* list below.
    internetCheckUrl:   https://bioarchlinux.org
    #
    # This may be a single URL, or a list or URLs, in which case the
    # URLs will be checked one-by-one; if any of them returns data,
    # internet is assumed to be OK. This can be used to check via
    # a number of places, where some domains may be down or blocked.
    #
    # To use a list of URLs, just use YAML list syntax (e.g.
    #
    # internetCheckUrl:
    #     - http://www.kde.org
    #     - http://www.freebsd.org
    #
    # or short-form
    #
    # internetCheckUrl: [ http://www.kde.org, http://www.freebsd.org ]

    # List conditions to check. Each listed condition will be
    # probed in some way, and yields true or false according to
    # the host system satisfying the condition.
    #
    # This sample file lists all the conditions that are known.
    check:
        - storage
        - ram
        - power
        - internet
        - root
        - screen

    # List conditions that **must** be satisfied (from the list
    # of conditions, above) for installation to proceed.
    # If any of these conditions are not met, the user cannot
    # continue past the welcome page.
    required:
        - storage
        - ram
        # - root

# GeoIP checking
#
# This can be used to pre-select a language based on the country
# the user is currently in. It *assumes* that there's internet
# connectivity, though. Configuration is like in the locale module,
# but remember to use a URL that returns full data **and** to
# use a selector that will pick the country, not the timezone.
#
# To disable GeoIP checking, either comment-out the entire geoip section,
# or set the *style* key to an unsupported format (e.g. `none`).
# Also, note the analogous feature in `src/modules/locale/locale.conf`,
# which is where you will find complete documentation.
#
# For testing, the *style* may be set to `fixed`, any URL that
# returns data (e.g. `http://example.com`) and then *selector*
# sets the data that is actually returned (e.g. "DE" to simulate
# the machine being in Germany).
#
# NOTE: the *selector* must pick the country code from the GeoIP
#       data. Timezone, city, or other data will not be recognized.
#
geoip:
    style:    "none"
    url:      "https://geoip.kde.org/v1/ubiquity"  # extended XML format
    selector: "CountryCode"  # blank uses default, which is wrong

# User interface
#
# The "select language" icon is an international standard, but it
# might not theme very well with your desktop environment.
# Fill in an icon name (following FreeDesktop standards) to
# use that named icon instead of the usual one.
#
# Leave blank or unset to use the international standard.
#
# Known icons in this space are "set-language" and "config-language".
#
# languageIcon: set-language
